#
# spec file for package python3-ecdsa
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python3-ecdsa
Version:        0.13
Release:        6.1
Summary:        ECDSA cryptographic signature library (pure python)
License:        MIT
Group:          Development/Languages/Python
Url:            http://github.com/warner/python-ecdsa
Source:         https://pypi.python.org/packages/source/e/ecdsa/ecdsa-%{version}.tar.gz
BuildRequires:  python3-devel
BuildArch:      noarch

%description
This is an easy-to-use implementation of ECDSA cryptography (Elliptic Curve
Digital Signature Algorithm), implemented purely in Python, released under
the MIT license. With this library, you can quickly create keypairs (signing
key and verifying key), sign messages, and verify the signatures. The keys
and signatures are very short, making them easy to handle and incorporate
into other protocols.

%prep
%setup -q -n ecdsa-%{version}

%build
python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}
chmod +x %{buildroot}/%{python3_sitelib}/ecdsa/ellipticcurve.py
chmod +x %{buildroot}/%{python3_sitelib}/ecdsa/ecdsa.py
chmod +x %{buildroot}/%{python3_sitelib}/ecdsa/numbertheory.py 

%files
%defattr(-,root,root,-)
%doc LICENSE NEWS README.md
%{python3_sitelib}/*

%changelog
* Mon Feb  9 2015 arun@gmx.de
- specfile:
  * update copyright year
- update to version 0.13:
  * Fix the argument order for Curve constructor (put openssl_name= at
    the end, with a default value) to unbreak compatibility with
    external callers who used the 0.11 convention.
- changes from version 0.12:
  * Switch to Versioneer for version-string management (fixing the
    broken `ecdsa.__version__` attribute). Add Curve.openssl_name
    property. Mention secp256k1 in README, test against
    OpenSSL. Produce "wheel" distributions. Add py3.4 and pypy3
    compatibility testing. Other minor fixes.
* Thu Oct  2 2014 andrea@opensuse.org
- rebuild with python3
